Get all tags

Contents

    List every tag in the site, with the page keys related to each tag.

    Requires the API Token. See Authentication.

    HTTP Request

    GET /api/tags

    Parameters

    Key Type Description
    token (required) string API Token.

    Response

    HTTP Code: 200
    Content-Type: application/json
    Body:
    {
      "status": "0",
      "message": "List of tags.",
      "data": [
        {
          "key": "bludit",
          "name": "Bludit",
          "description": "",
          "template": "",
          "list": ["follow-bludit"]
        },
        {
          "key": "cms",
          "name": "CMS",
          "description": "",
          "template": "",
          "list": ["follow-bludit"]
        }
      ]
    }

    To fetch full page details for a specific tag, use Get a tag.

    CURL command example

    $ curl -X GET -G "https://www.example.com/api/tags" \
        -d "token=<api-token>"

    Javascript example

    <script>
      fetch("https://www.example.com/api/tags?token=<api-token>", {
        method: 'GET'
      })
        .then(response => response.json())
        .then(json => console.log(json.data));
    </script>